#### PyKDE - Python Bindings for KDE

# class TDEABC.Plugin |
Table of contents
Modules
tdeabc Classes
All Classes

Module | tdeabc
Class | TDEABC.Plugin
Inherits |

### methods

- Plugin ()

  returns a Plugin instance
  In versions KDE 3.1.0 and above only

- descriptionLabel ()

  returns (TQString)
  In versions KDE 3.1.0 and above only

- nameLabel ()

  returns (TQString)
  In versions KDE 3.1.0 and above only

- setDescriptionLabel (label)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  label | TQString |

- setNameLabel (label)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  label | TQString |

- setType (type)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  type | TQString |

- type ()

  returns (TQString)
  In versions KDE 3.1.0 and above only